# Gst::EventBufferSize Class Reference

A buffer size event. More...

`#include <event.h>`

Inheritance diagram for Gst::EventBufferSize:

List of all members.

## Public Member Functions
| EventBufferSize (GstEvent* event)
void | parse (Format& format, gint64& minsize, gint64& maxsize, bool& async) const
| Get the format, minsize, maxsize and async-flag in the buffersize event.
## Static Public Member Functions
static Glib::RefPtr<Gst::Event> | create (Format format, gint64 minsize, gint64 maxsize, bool async)
| Create a new buffersize event.

## Detailed Description

A buffer size event.

See create() for more details.

## Constructor& Destructor Documentation

Gst::EventBufferSize::EventBufferSize | ( | GstEvent * | event | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Event> Gst::EventBufferSize::create | ( | Format | format,
|  | gint64 | minsize,
|  | gint64 | maxsize,
|  | bool | async |
| ) |  |  | `[static]`

Create a new buffersize event.

The event is sent downstream and notifies elements that they should provide a buffer of the specified dimensions.

When the async flag is set, a thread boundary is prefered.

Parameters:

  | format | Buffer format.
  | minsize | Minimum buffer size.
  | maxsize | Maximum buffer size.
  | async | Thread behavior.

Returns:
  A new Gst::EventBufferSize.

void Gst::EventBufferSize::parse | ( | Format& | format,
|  | gint64 & | minsize,
|  | gint64 & | maxsize,
|  | bool & | async |
| ) |  |  | const

Get the format, minsize, maxsize and async-flag in the buffersize event.

Parameters:

  | format | A pointer to store the format in.
  | minsize | A pointer to store the minsize in.
  | maxsize | A pointer to store the maxsize in.
  | async | A pointer to store the async-flag in.

The documentation for this class was generated from the following file:

- event.h